Skip to main content
`Ctrl`+`K`

# DMSwarmCollectViewDestroy

Resets the `DMSWARM` to the size prior to calling `DMSwarmCollectViewCreate()`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCollectViewDestroy(DM dm)

Collective

## Input Parameters

- dm - the `DMSWARM`

## Notes

Users should call `DMSwarmCollectViewCreate()` before this function is called.

## Developer Note

Create and Destroy routines create new objects that can get destroyed, they do not change the state of the current object.

## See Also

`DM`, `DMSWARM`, `DMSwarmCollectViewCreate()`, `DMSwarmSetCollectType()`

## Level

advanced

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/dm/tutorials/swarm_ex1.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages